#include <cstdio>
#include <cstring>
#include <cmath>
#include <ctime>

#include "GeomVertex.h"
#include "../../include/include.h"
#include "../../shared/Exceptions/exceptions.h"

namespace bamg {

	/*Constructors/Destructors*/
	//See header file

	/*Methods*/
	/*FUNCTION GeomVertex::Corner {{{*/
	int  GeomVertex::Corner() const {
		return type & 4;
	}
	/*}}}*/
	/*FUNCTION GeomVertex::Required {{{*/
	int  GeomVertex::Required()const {
		// a corner is required
		return type & 6;
	}
	/*}}}*/
	/*FUNCTION GeomVertex::SetCorner {{{*/
	void GeomVertex::SetCorner(){
		type |= 4;
	}
	/*}}}*/
	/*FUNCTION GeomVertex::SetRequired {{{*/
	void GeomVertex::SetRequired(){
		type |= 2;
	}
	/*}}}*/

} 
